package com.usoftchina.bi.server.model.pojo.annotation;

import java.lang.annotation.*;

/**
 * 日志注解
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 模块名称:  看板/图表 等等
     * @return
     */
    String module() default "";

    /**
     * 单据名称   具体的单据名称,如: 图表中的 '销售情况分析折线图'
     * @return
     */
    String name() default "";

    /**
     * 身份token
     * @return
     */
    String token() default "";

    /**
     * 前端传入的自定义centent
     * @return
     */
    String value() default "";

}
